APIs / GitHub / Repository Raw File
GitHub: Repository Raw File
Repository Raw File from GitHub as JSON. 1 credit per successful call.
GET /v1/github/repository-raw-file
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
owner | string | Required | Up to 39 characters |
repo | string | Required | Up to 100 characters |
path | string | Required | Up to 400 characters |
ref | string | Required | Up to 255 characters |
Example request
curl "https://api.perceptlayer.com/v1/github/repository-raw-file?owner=laravel&repo=framework&ref=13.x&path=README.md" \
-H "X-API-Key: $API_KEY"